Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.workflow.core.node
Class EventNode

    java.lang.Object
      org.jbpm.workflow.core.impl.NodeImpl
          org.jbpm.workflow.core.impl.ExtendedNodeImpl
              org.jbpm.workflow.core.node.EventNode

All Implemented Interfaces:
  Serializable, Node, Contextable, ContextResolver, EventNodeInterface

    public class EventNode

extends ExtendedNodeImpl
implements EventNodeInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`EVENT_NODE_ENTER, EVENT_NODE_EXIT`

Fields inherited from class org.jbpm.workflow.core.impl.NodeImpl
`EMPTY_NODE_ARRAY`

Fields inherited from interface org.jbpm.workflow.core.Node
`CONNECTION_DEFAULT_TYPE`

Constructor Summary
`EventNode()`

Method Summary
`boolean` | `acceptsEvent(String type, Object event)`
`void` | `addEventFilter(EventFilter eventFilter)`
`List<EventFilter>` | `getEventFilters()`
`EventTransformer` | `getEventTransformer()`
`String` | `getScope()`
`String` | `getType()`
`String` | `getVariableName()`
`void` | `removeEventFilter(EventFilter eventFilter)`
`void` | `setEventFilters(List<EventFilter> filters)`
`void` | `setEventTransformer(EventTransformer transformer)`
`void` | `setScope(String scope)`
`void` | `setVariableName(String variableName)`
`void` | `validateAddIncomingConnection(String type, Connection connection)`
`void` | `validateAddOutgoingConnection(String type, Connection connection)`

Methods inherited from class org.jbpm.workflow.core.impl.ExtendedNodeImpl
`containsActions, getActions, getActionTypes, setActions`

Methods inherited from class org.jbpm.workflow.core.impl.NodeImpl
`addIncomingConnection, addOutgoingConnection, getContext, getDefaultIncomingConnections, getDefaultOutgoingConnections, getFrom, getId, getIncomingConnections, getIncomingConnections, getMetaData, getMetaData, getName, getNodeContainer, getOutgoingConnections, getOutgoingConnections, getTo, getUniqueId, removeIncomingConnection, removeOutgoingConnection, resolveContext, setContext, setId, setMetaData, setMetaData, setName, setNodeContainer, validateRemoveIncomingConnection, validateRemoveOutgoingConnection`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventNode

    public EventNode()

Method Detail

### getVariableName

    public String getVariableName()

### setVariableName

    public void setVariableName(String variableName)

### addEventFilter

    public void addEventFilter(EventFilter eventFilter)

### removeEventFilter

    public void removeEventFilter(EventFilter eventFilter)

### getEventFilters

    public List<EventFilter> getEventFilters()

### setEventFilters

    public void setEventFilters(List<EventFilter> filters)

### getType

    public String getType()

### acceptsEvent

    public boolean acceptsEvent(String type,
                                Object event)

  Specified by:
    `acceptsEvent` in interface `EventNodeInterface`

### setEventTransformer

    public void setEventTransformer(EventTransformer transformer)

### getEventTransformer

    public EventTransformer getEventTransformer()

### getScope

    public String getScope()

### setScope

    public void setScope(String scope)

### validateAddIncomingConnection

    public void validateAddIncomingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddIncomingConnection` in class `NodeImpl`

### validateAddOutgoingConnection

    public void validateAddOutgoingConnection(String type,
                                              Connection connection)

  Overrides:
    `validateAddOutgoingConnection` in class `NodeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.